Net::Frame::Layer::ICMPv6::TooBig(3)

NAME
Net::Frame::Layer::ICMPv6::TooBig - ICMPv6 TooBig type object

SYNOPSIS
   use Net::Frame::Layer::ICMPv6::TooBig;

   my $layer = Net::Frame::Layer::ICMPv6::TooBig->new(
      mtu     => 0,
      payload => '',
   );
   $layer->pack;

   print 'RAW: '.$layer->dump."\n";

   # Read a raw layer
   my $layer = Net::Frame::Layer::ICMPv6::TooBig->new(raw => $raw);

   print $layer->print."\n";
   print 'PAYLOAD: '.unpack('H*', $layer->payload)."\n"
      if $layer->payload;

DESCRIPTION
This modules implements the encoding and decoding of the ICMPv6 TooBig object.

See also Net::Frame::Layer for other attributes and methods.

ATTRIBUTES

mtu Maximum Transmission Unit of the next-hop link.

The following are inherited attributes. See Net::Frame::Layer for more information.

raw
payload
nextLayer

METHODS

new
new (hash)
    Object constructor. You can pass attributes that will overwrite default ones. See SYNOPSIS for default values.

The following are inherited methods. Some of them may be overridden in this layer, and some others may not be meaningful in this layer. See Net::Frame::Layer for more information.

layer
computeLengths
computeChecksums
pack
unpack
encapsulate
getLength
getPayloadLength
print
dump

CONSTANTS
No constants here.

SEE ALSO
Net::Frame::Layer::ICMPv6, Net::Frame::Layer

AUTHOR
Patrice <GomoR> Auffret

COPYRIGHT AND LICENSE
Copyright (c) 2006-2019, Patrice <GomoR> Auffret

You may distribute this module under the terms of the Artistic license. See LICENSE.Artistic file in the source distribution archive.